Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5099)
@@ -1183,11 +1176,11 @@
                          + dd_HTphiQ(j)/HTphiT_b(j)*(phiT_b9(j)-phiT0_b9(j))
     print *,'wx_pbl_dts_check: j, dphiQ, dphiQ_H ', j, dphiQ, dphiQ_H
-!
+
 !  phiT_b = sigw phiT_w + sigx phiT_x                     dphiT = phiT_w - phiT_x
   err_phiT_b(j) = sigw(j)*phiT_w9(j) + sigx(j)*phiT_x9(j) - phiT_b9(j)
-!
+
 !  phiQ_b = sigw phiQ_w + sigx phiQ_x                     dphiQ = phiQ_w - phiQ_x
   err_phiQ_b(j) = sigw(j)*phiQ_w9(j) + sigx(j)*phiQ_x9(j) - phiQ_b9(j)
-!
+
 !  Ta = AcoefT + BcoefT phiT_b Delta t
 !  phiT_b = Kech_h C_p (Ta - Ts_b)
@@ -1196,5 +1189,5 @@
     print *, 'wx_pbl_dts_check: j, Ta, phiT_b9, err2_phiT_b ',   &
                             j, Ta(j), phiT_b9(j), err2_phiT_b(j)
-!
+
           ENDDO  ! j = 1, knon
           
@@ -1212,17 +1205,17 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: q1       ! specific humidity in layer 1
     REAL, DIMENSION(knon),        INTENT(IN)        :: Ts       ! surface temperature
-!
+
     REAL, DIMENSION(knon),        INTENT(OUT)       :: evap_pot ! potential evaporation
-!
+
     INTEGER                   :: j
     REAL                      :: qsat_bs
-!
+
  DO j = 1,knon
    evap_pot(j) = Kech_q(j)*(qsat0(j)+dqsatdT0(j)*(Ts(j)-Ts0(j))-q1(j))
-!
+
   qsat_bs = qsat0(j)+dqsatdT0(j)*(Ts(j)-Ts0(j))
 !!  print *,'wx_evappot : Kech_q, qsat_bs, qa, evap_pot ', Kech_q(j), qsat_bs, q1(j), evap_pot(j)
  ENDDO
-!
+
  RETURN
 END SUBROUTINE wx_evappot
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
 MODULE wx_pbl_var_mod
-!
+
 ! Split Planetary Boundary Layer variables
-!
+
 ! This module manages the variables necessary for the splitting of the boundary layer 
-! 
-!
+
+
   USE dimphy
 
@@ -12,5 +12,5 @@
   REAL, PROTECTED, SAVE                             :: eps_1, fqsat, smallestreal
 !$OMP THREADPRIVATE(eps_1, fqsat, smallestreal)
-!
+
   REAL, ALLOCATABLE, PROTECTED, DIMENSION(:), SAVE  :: C_p, L_v
 !$OMP THREADPRIVATE(C_p, L_v)
@@ -70,7 +70,7 @@
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 SUBROUTINE wx_pbl_init
 
@@ -82,5 +82,5 @@
 !****************************************************************************************
 ! Allocate module variables
-!
+
 !****************************************************************************************    
 
@@ -314,13 +314,13 @@
                                  Kech_h_x_out, Kech_h_w_out, Kech_h_out  &
                                  )
-!
+
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
     INCLUDE "clesphys.h"
-!
+
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
     INTEGER,                      INTENT(IN)        :: nsrf    ! surface type
@@ -340,7 +340,7 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: BcoefT_x, BcoefT_w, BcoefQ_x, BcoefQ_w
     REAL, DIMENSION(knon),        INTENT(IN)        :: BcoefU_x, BcoefU_w, BcoefV_x, BcoefV_w
-!
+
     REAL, DIMENSION(knon),        INTENT(OUT)       :: Kech_h_x_out, Kech_h_w_out, Kech_h_out
-!
+
 ! Local variables
     INTEGER                    :: j
@@ -351,18 +351,17 @@
     REAL                       :: dd_Kq
     REAL                       :: dd_Km
-!
+
     REAL                       :: zdelta, zcvm5, zcor, qsat
-! 
+
     REAL, DIMENSION(knon)      :: sigx       ! fractional area of (x) region
-!
+
 !!!
 !!! jyg le 09/04/2013 ; passage aux nouvelles expressions en differences
 
-!
 !  First computations
 !  ------------------
    eps_1 = 0.5
    smallestreal=tiny(smallestreal)
-!
+
    sigx(1:knon) = 1.-sigw(1:knon)
 ! Compute Cp, Lv, qsat, dqsat_dT.
@@ -371,5 +370,5 @@
    dTs0(1:knon) = ydeltat_s(1:knon)
    q1_0b(1:knon) = sigw(1:knon)*yq_w(1:knon,1)+sigx(1:knon)*yq_x(1:knon,1)
-!
+
 ! fqsat determination 
 ! -------------------
@@ -379,6 +378,6 @@
      fqsat = 1.
    ENDIF
-!
-!
+
+
 !  Reference state
 !  ---------------
@@ -393,5 +392,5 @@
       C_p(j) = RCpd + qsat0(j)*(RCpv - RCpd)
       C_p(j) = RCpd
-!
+
 !      print *,' AAAA wx_pbl0, C_p(j), qsat0(j), Ts0(j) : ', C_p(j), qsat0(j), Ts0(j)
    ENDDO
@@ -420,22 +419,22 @@
 !!      dqsatdT0_w(j) = (RLvtt*(1.-zdelta)+RLSTT*zdelta)*qsat0_w(j)/(Rv*Ts0_w(j)*Ts0_w(j))
    ENDDO
-!
+
    QQ_x(1:knon)  = 1./dqsatdT0_x(1:knon)
    QQ_w(1:knon)  = 1./dqsatdT0_w(1:knon)
    QQ_b(1:knon)  = sigw(1:knon)*QQ_w(1:knon) + sigx(1:knon)*QQ_x(1:knon)
    dd_QQ(1:knon) = QQ_w(1:knon) - QQ_x(1:knon)
-!
+
         DO j=1,knon
-!
+
 ! Exchange coefficients computation
 ! ---------------------------------
-!
+
 ! Wind factor (Warning : this is not valid when using land_surf_orchidee)
          mod_wind_x = min_wind_speed+SQRT(ygustiness(j)+yu_x(j,1)**2+yv_x(j,1)**2)
          mod_wind_w = min_wind_speed+SQRT(ygustiness(j)+yu_w(j,1)**2+yv_w(j,1)**2)
-!
+
 !!         rho1 = ypplay(j,1)/(RD*yt(j,1))
          rho1 = ypplay(j,1)/(RD*(yt_x(j,1) + sigw(j)*(yt_w(j,1)-yt_x(j,1))))
-! 
+
 ! (w) and (x) Exchange coefficients
          Kech_h_x(j) = ycdragh_x(j) * mod_wind_x * rho1
@@ -449,5 +448,5 @@
 !!  Print *,'YYYYpbl0: ycdragh_w, ycdragq_w, mod_wind_w, rho1, Kech_q_w, Kech_h_w ', &
 !!                     ycdragh_w(j), ycdragq_w(j), mod_wind_w, rho1, Kech_q_w(j), Kech_h_w(j)
-!
+
 ! Merged exchange coefficients
          dd_Kh = Kech_h_w(j) - Kech_h_x(j)
@@ -461,37 +460,37 @@
           print *,' dd_Kh: ',dd_Kh
          ENDIF
-!
+
          Kech_h(j) = Kech_h_x(j) + sigw(j)*dd_Kh
          Kech_q(j) = Kech_q_x(j) + sigw(j)*dd_Kq
          Kech_m(j) = Kech_m_x(j) + sigw(j)*dd_Km
-!
+
          Kech_h_x_out(j) = Kech_h_x(j)
          Kech_h_w_out(j) = Kech_h_w(j)
          Kech_h_out(j)   = Kech_h(j)
-!
+
 ! Effective exchange coefficient computation
 ! ------------------------------------------
         Kech_T_px(j) = Kech_h_x(j)/(1.-BcoefT_x(j)*Kech_h_x(j)*dtime)
         Kech_T_pw(j) = Kech_h_w(j)/(1.-BcoefT_w(j)*Kech_h_w(j)*dtime)
-!
+
         Kech_Q_px(j) = Kech_q_x(j)/(1.-BcoefQ_x(j)*Kech_q_x(j)*dtime)
         Kech_Q_pw(j) = Kech_q_w(j)/(1.-BcoefQ_w(j)*Kech_q_w(j)*dtime)
-!
+
         Kech_U_px(j) = Kech_m_x(j)/(1.-BcoefU_x(j)*Kech_m_x(j)*dtime)
         Kech_U_pw(j) = Kech_m_w(j)/(1.-BcoefU_w(j)*Kech_m_w(j)*dtime)
-!
+
         Kech_V_px(j) = Kech_m_x(j)/(1.-BcoefV_x(j)*Kech_m_x(j)*dtime)
         Kech_V_pw(j) = Kech_m_w(j)/(1.-BcoefV_w(j)*Kech_m_w(j)*dtime)
-!
+
          dd_KTp(j) = Kech_T_pw(j) - Kech_T_px(j)
          dd_KQp(j) = Kech_Q_pw(j) - Kech_Q_px(j)
          dd_KUp(j) = Kech_U_pw(j) - Kech_U_px(j)
          dd_KVp(j) = Kech_V_pw(j) - Kech_V_px(j)
-!
+
         Kech_Tp(j) = Kech_T_px(j) + sigw(j)*dd_KTp(j)
         Kech_Qp(j) = Kech_Q_px(j) + sigw(j)*dd_KQp(j)
         Kech_Up(j) = Kech_U_px(j) + sigw(j)*dd_KUp(j)
         Kech_Vp(j) = Kech_V_px(j) + sigw(j)*dd_KVp(j)
-!
+
 ! Store AQ and BQ in the module variables
        AQ_x(j) = AcoefQ_x(j)
@@ -499,10 +498,10 @@
        BQ_x(j) = BcoefQ_x(j)
        BQ_w(j) = BcoefQ_w(j)
-!
+
 ! Calcul des differences w-x
        dd_Cdragm(j) = ycdragm_w(j) - ycdragm_x(j)
        dd_Cdragh(j) = ycdragh_w(j) - ycdragh_x(j)
        dd_Cdragq(j) = ycdragq_w(j) - ycdragq_x(j)
-!
+
        dd_AT(j) = AcoefT_w(j) - AcoefT_x(j)
        dd_AQ(j) = AcoefQ_w(j) - AcoefQ_x(j)
@@ -513,11 +512,11 @@
        dd_BU(j) = BcoefU_w(j) - BcoefU_x(j)
        dd_BV(j) = BcoefV_w(j) - BcoefV_x(j)
-!
+
        KxKwTp(j) = Kech_T_px(j)*Kech_T_pw(j)
        KxKwQp(j) = Kech_Q_px(j)*Kech_Q_pw(j)
        KxKwUp(j) = Kech_U_px(j)*Kech_U_pw(j)
        KxKwVp(j) = Kech_V_px(j)*Kech_V_pw(j)
-!                                           
-!
+
+
        IF (prt_level >=10) THEN
           print *,'Variables pour la fusion : Kech_T_px(j)' ,Kech_T_px(j)
@@ -537,8 +536,8 @@
                                  BcoefQ_x, BcoefQ_w &
                                  )
-!
+
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
-!
+
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
     REAL,                         INTENT(IN)        :: dtime   ! time step size (s)
@@ -546,25 +545,25 @@
     REAL, DIMENSION(knon),        INTENT(IN)        :: beta ! evaporation by potential evaporation
     REAL, DIMENSION(knon),        INTENT(IN)        :: BcoefQ_x, BcoefQ_w
-!
+
 ! Local variables
     INTEGER                    :: j
-!
+
    DO j = 1, knon
-!
+
         qsatsrf0_x(j) = beta(j)*qsat0_x(j)
         qsatsrf0_w(j) = beta(j)*qsat0_w(j)
         dqsatsrf0(j)  = qsatsrf0_w(j) - qsatsrf0_x(j)
-!
+
         Kech_Q_sx(j) = Kech_q_x(j)/(1.-beta(j)*BcoefQ_x(j)*Kech_q_x(j)*dtime)
         Kech_Q_sw(j) = Kech_q_w(j)/(1.-beta(j)*BcoefQ_w(j)*Kech_q_w(j)*dtime)
-!
+
         dd_KQs(j) = Kech_Q_sw(j) - Kech_Q_sx(j)
-!
+
         Kech_Qs(j) = Kech_Q_sx(j) + sigw(j)*dd_KQs(j)
-!
+
         KxKwQs(j) = Kech_Q_sx(j)*Kech_Q_sw(j)
-!
+
 !!  print *,'BBBBwx_prelim_beta : beta ', beta(j)
-!
+
   ENDDO ! j = 1, knon
 
@@ -574,10 +573,10 @@
 
 SUBROUTINE wx_pbl_final
-!
+
 !****************************************************************************************
 ! Deallocate module variables
-!
+
 !****************************************************************************************    
-!
+
     IF (ALLOCATED(C_p))           DEALLOCATE(C_p)
     IF (ALLOCATED(L_v))           DEALLOCATE(L_v)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5099)
@@ -12,11 +12,11 @@
   IMPLICIT NONE
   ! ************************************************************************************************
-  !
+
   ! yamada4: subroutine qui calcule le transfert turbulent avec une fermeture d'ordre 2 ou 2.5
-  ! 
+
   ! Reference: Simulation of nocturnal drainage flows by a q2l Turbulence Closure Model
   !            Yamada T.
   !            J. Atmos. Sci, 40, 91-106, 1983
-  !
+
   !************************************************************************************************
   ! Input :
@@ -39,5 +39,5 @@
   ! ustar: vitesse de friction calcul??e par une formule diagnostique 
   ! iflag_pbl: flag pour choisir des options du sch??ma de turbulence
-  !
+
   !             iflag_pbl doit valoir entre 6 et 9
   !             l=6, on prend  systematiquement une longueur d'equilibre
@@ -49,5 +49,5 @@
   !             iflag_pbl=10/11 :  New scheme M2 and N2 explicit and dissiptation exact
   !             iflag_pbl=12 = 11 with vertical diffusion off q2
-  !
+
   !             2013/04/01 (FH hourdin@lmd.jussieu.fr)
   !             Correction for very stable PBLs (iflag_pbl=10 and 11)
@@ -60,5 +60,5 @@
   !             2020/10/01 (EV)
   !               On ajoute la dissipation de la TKE en diagnostique de sortie
-  !                  
+
   ! Inpout/Output :
   !==============
@@ -75,5 +75,5 @@
   ! kn : diffusivite turbulente des scalaires (au bas de chaque couche)
   ! (en sortie : la valeur a la fin du pas de temps)
-  !
+
   !.......................................................................
 
@@ -544,5 +544,5 @@
   ! longueur de m??lange minimale
   !====================================================================
-  !
+
   ! Reference: Local versus Nonlocal boundary-layer diffusion in a global climate model
   !            Holtslag A.A.M. and Boville B.A.
@@ -631,5 +631,5 @@
  ! Estimations de w'2 et T'2 d'apres Abdela et McFarlane
  !======================================================
- !
+
  ! Reference: A New Second-Order Turbulence Closure Scheme for the Planetary Boundary Layer
  !            Abdella K and McFarlane N
@@ -718,10 +718,10 @@
 !             avec un schema implicite en temps avec 
 !             inversion d'un syst??me tridiagonal
-! 
+
 !     Reference: Description of the interface with the surface and 
 !                the computation of the turbulet diffusion in LMDZ
 !                Technical note on LMDZ
 !                Dufresne, J-L, Ghattas, J. and Grandpeix, J-Y
-!
+
 !============================================================================
 ! Declarations
@@ -892,24 +892,24 @@
 ! L'id??e est la suivante: plus il y a de relief, plus il y a du m??lange
 ! induit par les circulations meso et submeso ??chelles.
-!
+
 ! References: * The vertical distribution of wind and turbulent exchange in a neutral atmosphere
 !               Blackadar A.K.
 !               J. Geophys. Res., 64, No 8, 1962
-!
+
 !             * An evaluation of neutral and convective planetary boundary-layer parametrisations relative 
 !               to large eddy simulations
 !               Ayotte K et al 
 !               Boundary Layer Meteorology, 79, 131-175, 1996
-!
-!
+
+
 !             * Local Similarity in the Stable Boundary Layer and Mixing length Approaches: consistency of concepts
 !               Van de Wiel B.J.H et al
 !               Boundary-Lay Meteorol, 128, 103-166, 2008
-!
-!
+
+
 ! Histoire:
 !----------
 ! * premi??re r??daction, Etienne et Frederic, 09/06/2016
-!
+
 ! ***********************************************************************
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE yamada_c(ngrid,timestep,plev,play &
      ,pu,pv,pt,d_u,d_v,d_t,cd,q2,km,kn,kq,d_t_diss,ustar &
@@ -11,5 +11,5 @@
       IMPLICIT NONE
       INCLUDE "YOMCST.h"
-!
+
 ! timestep : pas de temps
 ! g  : g
@@ -31,5 +31,5 @@
 ! kn : diffusivite turbulente des scalaires (au bas de chaque couche)
 !      (en sortie : la valeur a la fin du pas de temps)
-!
+
 !  iflag_pbl doit valoir entre 6 et 9
 !      l=6, on prend  systematiquement une longueur d'equilibre
@@ -41,5 +41,5 @@
 !    iflag_pbl=10/11 :  New scheme M2 and N2 explicit and dissiptation exact
 !    iflag_pbl=12 = 11 with vertical diffusion off q2
-!
+
 !  2013/04/01 (FH hourdin@lmd.jussieu.fr)
 !     Correction for very stable PBLs (iflag_pbl=10 and 11)
@@ -236,5 +236,5 @@
 !  les increments verticaux
 !.......................................................................
-!
+
 !!!!!! allerte !!!!!c
 !!!!!! zlev n'est pas declare a nlev !!!!!c
@@ -246,5 +246,5 @@
 !!!!!! <----
 !!!!!! allerte !!!!!c
-!
+
       DO k=1,nlay
                                                       DO ig=1,ngrid
@@ -263,5 +263,5 @@
       unsdzdec(ig,nlay+1)=1.E+0/(zlev(ig,nlay+1)-zlay(ig,nlay))
                                                      ENDDO
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Computing M^2, N^2, Richardson numbers, stability functions
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5099)
@@ -1,6 +1,6 @@
-!
+
 ! $Id$
-!
-!
+
+
 MODULE add_phys_tend_mod
 
@@ -120,7 +120,7 @@
   RETURN
 END SUBROUTINE add_pbl_tend
-!
+
 ! $Id$
-!
+
 SUBROUTINE add_phys_tend (zdu,zdv,zdt,zdq,zdql,zdqi,zdqbs,paprs,text, &
                           abortphy,flag_inhib_tend, itap, diag_mode &
@@ -175,5 +175,5 @@
 INTEGER,                        INTENT(IN)    :: diag_mode       ! 0 -> normal effective mode
                                                                  ! 1 -> only conservation stats are computed
-!
+
 REAL, DIMENSION(klon,klev),     INTENT(INOUT) :: zdq
 #ifdef ISO
@@ -204,5 +204,5 @@
 REAL, DIMENSION(ntraciso,klon,klev)   :: sav_xtl_seri, sav_xts_seri, sav_xt_seri
 #endif
-!
+
 INTEGER i, k,j, n
 INTEGER jadrs(klon*klev), jbad
@@ -216,9 +216,8 @@
 logical, save :: first=.true.
 !$OMP THREADPRIVATE(first)
-!
+
 !======================================================================
 ! Variables for energy conservation tests
 !======================================================================
-!
 
 ! zh_col-------  total enthalpy of vertical air column
@@ -234,5 +233,5 @@
 ! zqbs_col------  total mass of blowing snow (kg/m2)
 ! zek_col------  total kinetic energy (kg/m2)
-!
+
 REAL zairm(klon, klev) ! layer air mass (kg/m2)
 REAL zqw_col(klon,2)
@@ -273,5 +272,5 @@
         first=.false.
      endif
-!
+
 !  print *,'add_phys_tend: paprs ',paprs
 ! When in diagnostic mode, save initial values of out variables
@@ -422,5 +421,5 @@
       ENDDO
 ENDIF
-!
+
 !=====================================================================================
 ! Impression, warning et correction en cas de probleme moins important
@@ -531,5 +530,4 @@
 #endif
 #endif
-!
 
 !IM ajout memes tests pour reverifier les jbad, jqbad beg
@@ -572,5 +570,5 @@
       ENDDO
 ENDIF 
-!
+
 IF (jqbad > 0) THEN
       DO j = 1, jqbad
@@ -646,5 +644,5 @@
 
   end if ! end if (fl_ebil .GT. 0)
-!
+
 ! When in diagnostic mode, restore "out" variables to initial values.
   IF (diag_mode == 1) THEN
@@ -706,6 +704,4 @@
 REAL, DIMENSION(nlon,nlev)      :: temp_n, qv_n, ql_n, qs_n, qbs_n
 
-
-!
 INTEGER k, n
 
@@ -713,9 +709,8 @@
 logical, save :: first=.true.
 !$OMP THREADPRIVATE(first)
-!
+
 !======================================================================
 ! Variables for energy conservation tests
 !======================================================================
-!
 
 ! zh_col-------  total enthalpy of vertical air column
@@ -730,5 +725,5 @@
 ! zqbs_col------  total mass of blowing snow (kg/m2)
 ! zek_col------  total kinetic energy (kg/m2)
-!
+
 REAL zairm(nlon, nlev) ! layer air mass (kg/m2)
 REAL zqw_col(nlon,2)
@@ -754,5 +749,5 @@
         first=.false.
      endif
-!
+
 !  print *,'add_phys_tend: paprs ',paprs
 !======================================================================
@@ -832,5 +827,4 @@
 
   end if ! end if (fl_ebil .GT. 0)
-!
 
   RETURN
@@ -978,5 +972,5 @@
   if ( abs(bilq_error) > bilq_seuil) bilq_ok=1
   if ( abs(bilh_error) > bilh_seuil) bilh_ok=1
-!
+
 ! Print diagnostics
 ! =================
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/calwake.F90	(revision 5099)
@@ -197,5 +197,4 @@
 d_deltaxtw(:,:,:) = 0.
 #endif
-!
 
   DO i = 1, klon
@@ -214,5 +213,5 @@
     hw(i) = wake_h(i)
   END DO
-!
+
 !    Make a copy of state variables
   DO l = 1, klev
@@ -303,5 +302,4 @@
 #endif
 
-!
   DO l = 1, klev
     DO i = 1, klon
@@ -393,5 +391,4 @@
     END IF
   END DO
-!
 
 !jyg<  
@@ -425,5 +422,5 @@
     END DO
   ENDIF  ! (iflag_wake_tend .EQ. 0)
-!
+
   IF (first) THEN
     DO i = 1,klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE change_srf_frac_mod
 
@@ -7,5 +7,5 @@
 
 CONTAINS
-! 
+
 ! Change Surface Fractions
 ! Author J Ghattas 2008
@@ -18,8 +18,5 @@
 #endif
 &       )
-   
-
-
-!
+
 ! This subroutine is called from physiq.F at each timestep. 
 ! 1- For each type of ocean (force, slab, couple) receive new fractions only if
@@ -28,5 +25,4 @@
 ! 2- Tests and ajustements are done on the fractions 
 ! 3- Initialize variables where a new fraction(new or melted ice) has appered, 
-!
 
     USE dimphy 
@@ -111,5 +107,5 @@
 ! - Put to zero fractions that are too small
 ! - Test total fraction sum is one for each grid point
-!
+
 !****************************************************************************************
     IF (is_modified) THEN
@@ -182,5 +178,5 @@
 ! i.e. where new sea ice has been formed
 ! or where ice free ocean has appread in a grid cell
-! 
+
 !****************************************************************************************
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
 MODULE climb_hq_mod
-!
+
 ! Module to solve the verctical diffusion of "q" and "H"; 
 ! specific humidity and potential energi.
-!
+
   USE dimphy
 #ifdef ISO
@@ -42,7 +42,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_hq_down(knon, coefhq, paprs, pplay, &
        delp, temp, q, dtime, &
@@ -67,5 +67,5 @@
 ! for the quantity X=[Q,H] in equation X(k) = C(k) + D(k)*X(k-1), where k is
 ! the index of the vertical layer.
-!
+
 ! Input arguments
 !****************************************************************************************
@@ -147,5 +147,5 @@
 ! 1)
 ! Allocation at first time step only
-!   
+
 !****************************************************************************************
 
@@ -203,5 +203,5 @@
 ! 2)
 ! Definition of the coeficient K 
-!
+
 !****************************************************************************************
     Kcoefhq(:,:) = 0.0
@@ -217,5 +217,5 @@
 ! 3)
 ! Calculation of gama for "Q" and "H"
-!
+
 !****************************************************************************************
 !   surface pressure is used as reference
@@ -278,5 +278,5 @@
 ! 4)
 ! Calculte the coefficients C and D for specific humidity, q
-!
+
 !****************************************************************************************
     
@@ -340,5 +340,5 @@
 ! 5)
 ! Calculte the coefficients C and D for potentiel entalpie, H 
-!
+
 !****************************************************************************************
     h_old(:,:) = 0.0
@@ -358,5 +358,5 @@
 ! 6)
 ! Return the first layer in output variables
-!
+
 !****************************************************************************************
     Acoef_H_out = Acoef_H
@@ -372,5 +372,5 @@
 ! 7)
 ! If Pbl is split, return also the other layers in output variables
-!
+
 !****************************************************************************************
 !!! jyg le 07/02/2012
@@ -415,12 +415,12 @@
 
   END SUBROUTINE climb_hq_down
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE calc_coef(knon, Kcoef, gama, delp, X, Ccoef, Dcoef, Acoef, Bcoef)
-!
+
 ! Calculate the coefficients C and D in : X(k) = C(k) + D(k)*X(k-1)
 ! where X is H or Q, and k the vertical level k=1,klev
-!
+
     INCLUDE "YOMCST.h"
 ! Input arguments
@@ -443,5 +443,5 @@
 !****************************************************************************************
 ! Niveau au sommet, k=klev
-!
+
 !****************************************************************************************
     Ccoef(:,:) = 0.0
@@ -458,5 +458,5 @@
 !****************************************************************************************
 ! Niveau  (klev-1) <= k <= 2
-!
+
 !****************************************************************************************
 
@@ -472,5 +472,5 @@
 !****************************************************************************************
 ! Niveau k=1
-!
+
 !****************************************************************************************
 
@@ -482,7 +482,7 @@
 
   END SUBROUTINE calc_coef
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_hq_up(knon, dtime, t_old, q_old, &
        flx_q1, flx_h1, paprs, pplay, &
@@ -505,5 +505,5 @@
 USE isotopes_verif_mod
 #endif
-! 
+
 ! This routine calculates the flux and tendency of the specific humidity q and 
 ! the potential engergi H. 
@@ -511,5 +511,4 @@
 ! X(k) = C(k) + D(k)*X(k-1) for X=[q,H], where the coefficients 
 ! C and D are known from before and k is index of the vertical layer.
-!   
 
 ! Input arguments
@@ -564,5 +563,5 @@
 ! Definition of some variables
     REAL, DIMENSION(klon,klev)               :: d_h, zairm
-!
+
 !****************************************************************************************
 
@@ -645,5 +644,5 @@
 ! 2)
 ! Calculation of Q and H
-!
+
 !****************************************************************************************
 
@@ -715,5 +714,5 @@
 ! 3)
 ! Calculation of the flux for Q and H
-!
+
 !****************************************************************************************
 
@@ -748,5 +747,5 @@
 ! 4)
 ! Calculation of tendency for Q and H
-!
+
 !****************************************************************************************
     d_h_col_vdf(:) = 0.0
@@ -798,5 +797,5 @@
 !****************************************************************************************
 ! Some deallocations
-!
+
 !****************************************************************************************
     IF (last) THEN
@@ -822,7 +821,7 @@
     END IF
   END SUBROUTINE climb_hq_up
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE climb_hq_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5099)
@@ -215,6 +215,4 @@
 #endif
 
-
-!
 !  Local
 !  ----
@@ -234,5 +232,5 @@
   REAL, DIMENSION(klon)                         :: supmax0, asupmaxmin
   REAL                                          :: zx_t, zdelta, zx_qs, zcor
-!
+
 !   INTEGER iflag_mix
 !   SAVE iflag_mix
@@ -312,7 +310,7 @@
     ALLOCATE (t1(klon,klev))
     ALLOCATE (q1(klon,klev))
-!
+
     convoccur(:) = 0.
-!
+
     itap = 0
     igout = klon/2 + 1/klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5099)
@@ -5009,5 +5009,5 @@
         ! ajout du terme des ddfts sensi stricto
 !        write(*,*) 'tmp cv3_yield 4165: i,il=',i,il
-!
+
         if (option_traceurs.eq.6) then
           do iiso = 1, niso
